Bug 1048184 - Group lookup does not return member with multiple names after user lookup
Summary: Group lookup does not return member with multiple names after user lookup
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jakub Hrozek
QA Contact: Kaushik Banerjee
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-03 10:52 UTC by Kaushik Banerjee
Modified: 2020-05-02 17:35 UTC (History)
5 users (show)

Fixed In Version: sssd-1.11.2-21.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-13 09:59:21 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github SSSD sssd issues 3233 None None None 2020-05-02 17:35:34 UTC

Description Kaushik Banerjee 2014-01-03 10:52:43 UTC
Description of problem:
Group membership of multiple named user is not seen after user lookup.

Version-Release number of selected component (if applicable):
sssd-1.11.2-18.el7

How reproducible:
Always

Steps to Reproduce:
1. LDIF used to add user and group:
dn: uid=User_CS1,ou=Users,dc=example,dc=com
objectClass: posixAccount
objectClass: account
cn: User_CS1
homeDirectory: /home/User_CS1
userPassword:: U2VjcmV0MTIz
uid: User_CS1_Alias
uid: User_CS1
uidNumber: 304560
gidNumber: 304560

dn: cn=User_CS1_grp1,ou=Groups,dc=example,dc=com
objectClass: posixGroup
memberUid: User_CS1
cn: User_CS1_grp1_Alias
cn: User_CS1_grp1
gidNumber: 304560 

2. On executing initgroups and then group lookup, the member is not returned:
# getent passwd User_CS1
User_CS1_Alias:*:304560:304560:User_CS1:/home/User_CS1:
# getent group User_CS1_grp1
User_CS1_grp1:*:304560: 

3. But if I clear cache and lookup the group, the member is returned appropriately:
# getent group User_CS1_grp1
User_CS1_grp1:*:304560:User_CS1

Actual results:
Group lookup does not return member with multiple names.

Expected results:
Group lookup should display member.

Additional info:

Comment 2 Jakub Hrozek 2014-01-08 06:53:51 UTC
I can reproduce locally

Comment 3 Jakub Hrozek 2014-01-08 07:05:53 UTC
Upstream ticket:
https://fedorahosted.org/sssd/ticket/2191

Comment 5 Jakub Hrozek 2014-01-09 08:53:35 UTC
Fixed upstream:
    master: 850f7b6ce4a0f3faa168d6ded2467585065436e6
    sssd-1-11: 1ff814c4d42b1369fd21ec022b56e913ea5cbf62

Comment 7 Kaushik Banerjee 2014-01-13 11:28:16 UTC
Verified in version 1.11.2-24.el7

Snippet from beaker automation run:

:: [   PASS   ] :: Running 'getent passwd User_CS1 | awk -F: '{print $1}' | grep User_CS1' (Expected 0, got 0)
:: [   PASS   ] :: Running 'getent passwd user_cs1' (Expected 2, got 2)
User_CS1_Alias
:: [   PASS   ] :: Running 'getent passwd User_CS1_Alias | awk -F: '{print $1}' | grep User_CS1' (Expected 0, got 0)
:: [   PASS   ] :: Running 'getent passwd user_cs1_alias' (Expected 2, got 2)
User_CS1_grp1_Alias
:: [   PASS   ] :: Running 'getent group User_CS1_grp1 | awk -F: '{print $1}' | grep User_CS1_grp1' (Expected 0, got 0)
User_CS1
:: [   PASS   ] :: Running 'getent group User_CS1_grp1 | awk -F: '{print $4}' | grep User_CS1' (Expected 0, got 0)

Comment 8 Ludek Smid 2014-06-13 09:59:21 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.